# Change Building Outline Color

To change the building outline color, along with other display properties, you must get and modify the Building Outline Display Rule.

Note that the DisplayRule will be null if MapsIndoors is not loaded.

```java
MapsIndoors.getDisplayRule(MPSolutionDisplayRule.BUILDING_OUTLINE).setPolygonStrokeColor(Color.BLUE);
```

The parameter `strokeColor` takes the color in ARGB format (with an alpha-channel value), the syntax being `AARRGGBB`.

Note only the values listed below are respected:

1. `polygonZoomTo` - Sets the maximum Zoom Level at which the Building Outline is visible.
   * Call `setPolygonZoomTo` to change the value on the Display Rule
2. `polygonZoomFrom` - Sets the minimum Zoom Level at which the Building Outline is visible.
   * Call `setPolygonZoomFrom` to change the value on the Display Rule
3. `polygonStrokeColor` - Controls the stroke color of the Building Outline.
   * Call `setPolygonStrokeColor` to change the value on the Display Rule
4. `polygonStrokeWidth` - Controls the stroke width of the Building Outline.
   * Call `setPolygonStrokeWidth` to change the value on the Display Rule
5. `polygonStrokeOpacity` - Controls the stroke opacity of the Building Outline.
   * Call `setPolygonStrokeOpacity` to change the value on the Display Rule
6. `polygonVisibility` - Controls whether the Building Outline is visible on the map.
   * Call `setPolygonVisible` to change the value on the Display Rule


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mapsindoors.com/sdks-and-frameworks/android/change-building-outline-color.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
